/**
 * JASMINe
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: PausePurgeTaskDelegate.as 8512 2011-07-12 07:00:31Z diorcety $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.datamanagement.business {
import mx.controls.Alert;

import org.ow2.kerneos.common.business.AbsDelegateResponder;

/**
 * @author Francois Fornaciari
 */
public class PausePurgeTaskDelegate extends AbsDelegateResponder implements IPausePurgeTaskDelegate {

    public function pausePurgeTask(purgeTaskId:Number):void {
        // find service
        var service:Object = DataManagement.getInstance().getServices().getRemoteObject("datamanagementService");
        if (service == null) {
            Alert.show("Cannot get datamanagementService", "ERROR");
        }

        // call service
        var call:Object = service.pausePurgeTask(purgeTaskId);
    }

}

}
