/**
 * JASMINe
 * Copyright (C) 2009-2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfigurePurgeTaskEvent.as 5913 2010-01-14 09:20:09Z fornacif $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.datamanagement.event {
import com.adobe.cairngorm.control.CairngormEvent;

import org.ow2.jasmine.monitoring.eos.datamanagement.vo.PurgeTaskVO;

public class ConfigurePurgeTaskEvent extends CairngormEvent {

    /**
     * Name of the Event.
     */
    public static const EVENT_CONFIGURE_PURGE_TASK:String = "configurePurgeTask";

    private var _purgeTaskVO:PurgeTaskVO = null;

    public function set purgeTaskVO(_purgeTask:PurgeTaskVO):void {
        this._purgeTaskVO = _purgeTask;
    }

    public function get purgeTaskVO():PurgeTaskVO {
        return this._purgeTaskVO;
    }

    /**
     * Default constructor.
     */
    public function ConfigurePurgeTaskEvent() {
        super(EVENT_CONFIGURE_PURGE_TASK);
    }

}

}
